org.eclipse.rdf4j.lucene.spin.config

## Class LuceneSpinSailConfig

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.AbstractSailImplConfig
  - - org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig
    - - org.eclipse.rdf4j.sail.lucene.config.AbstractLuceneSailConfig
      - - org.eclipse.rdf4j.lucene.spin.config.LuceneSpinSailConfig

- All Implemented Interfaces:
    DelegatingSailImplConfig, SailImplConfig

      public class LuceneSpinSailConfig
      extends AbstractLuceneSailConfig

  Author:
    jacek grzebyta

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneSpinSailConfig()`
    `LuceneSpinSailConfig(SailImplConfig delegate)`
    `LuceneSpinSailConfig(String luceneDir)`
    `LuceneSpinSailConfig(String luceneDir, SailImplConfig delegate)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.sail.lucene.config.AbstractLuceneSailConfig

      `export, getIndexDir, getParameter, getParameterNames, parse, setIndexDir, setParameter`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig

      `getDelegate, setDelegate, validate`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractSailImplConfig

      `getConnectionTimeOut, getIterationCacheSyncThreshold, getType, setConnectionTimeOut, setIterationCacheSyncThreshold, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.config.SailImplConfig

      `getIterationCacheSyncThreshold, getType`

- - ### Constructor Detail

    - #### LuceneSpinSailConfig

          public LuceneSpinSailConfig()

    - #### LuceneSpinSailConfig

          public LuceneSpinSailConfig(SailImplConfig delegate)

    - #### LuceneSpinSailConfig

          public LuceneSpinSailConfig(String luceneDir)

    - #### LuceneSpinSailConfig

          public LuceneSpinSailConfig(String luceneDir,
                                      SailImplConfig delegate)

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.